Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.wsrp.controls
Interface ProducerRegistryControl

Deprecated use `#com.bea.jsptools.portal.helpers.wsrp.ProducerRegistryControl`

    @ControlInterface
    @Deprecated
    public interface ProducerRegistryControl

Method Summary
`SortablePagedResult<BookEntry>` | `findBooks(int pageSize, FindRequest criteria, String registry, javax.servlet.ServletContext sContext, ResourceContext rContext)` Deprecated use {@link com.bea.jsptools.portal.helpers.wsrp.ProducerRegistryControl#findBooks(int, FindRequest, String, ServletContext, ResourceContext)
`SortablePagedResult<PageEntry>` | `findPages(int pageSize, FindRequest criteria, String registry, javax.servlet.ServletContext sContext, ResourceContext rContext)` Deprecated use {@link com.bea.jsptools.portal.helpers.wsrp.ProducerRegistryControl#findPages(int, FindRequest, String, ServletContext, ResourceContext)
`SortablePagedResult<PortletEntry>` | `findPortlets(int pageSize, FindRequest criteria, String registry, javax.servlet.ServletContext sContext, ResourceContext rContext)` Deprecated use {@link com.bea.jsptools.portal.helpers.wsrp.ProducerRegistryControl#findPortlets(int, FindRequest, String, ServletContext, ResourceContext)
`SortablePagedResult<ProducerEntry>` | `findProducers(int pageSize, FindRequest criteria, String registry, javax.servlet.ServletContext sContext, ResourceContext rContext)` Deprecated use {@link com.bea.jsptools.portal.helpers.wsrp.ProducerRegistryControl#findProducers(int, FindRequest, String, ServletContext, ResourceContext)
`Map<String,RegistryConfig>` | `getAllRegistries(javax.servlet.ServletContext sContext, ResourceContext rContext)` Deprecated use `com.bea.jsptools.portal.helpers.wsrp.ProducerRegistryControl#getAllRegistries(ServletContext, ResourceContext)`
`IServiceDescription` | `getServiceDescription(String wsdlUrl, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext sContext, ResourceContext rContext)` Deprecated use {@link com.bea.jsptools.portal.helpers.wsrp.ProducerRegistryControl#getServiceDescription(String, HttpServletResponse, ServletContext, ResourceContext)

Method Detail

### getAllRegistries

    @Deprecated
    Map<String,RegistryConfig> getAllRegistries(javax.servlet.ServletContext sContext,
                                                           ResourceContext rContext)

  Deprecated use `com.bea.jsptools.portal.helpers.wsrp.ProducerRegistryControl#getAllRegistries(ServletContext, ResourceContext)`

  Gets a map of all registry entries for the supplied ServletContext.

  Parameters
    `sContext` - the servlet context.
    `rContext` - the resource context.
  Returns
    a map with registry IDs as the key, and RegistryConfig objects for values.

### findProducers

    @Deprecated
    SortablePagedResult<ProducerEntry> findProducers(int pageSize,
                                                                FindRequest criteria,
                                                                String registry,
                                                                javax.servlet.ServletContext sContext,
                                                                ResourceContext rContext)
                                                     throws FinderException

  Deprecated use {@link com.bea.jsptools.portal.helpers.wsrp.ProducerRegistryControl#findProducers(int, FindRequest, String, ServletContext, ResourceContext)

  Gets a paged result of producers matching a particular search string.

  Parameters
    `pageSize` - the number of results to return per page
    `criteria` - the criteria to use for the search.
    `registry` - The name of the registry configuration to search in.
    `sContext` - the servlet context.
    `rContext` - the resource context
  Returns
    a paged result matching the specified criteria.
  Throws
    `FinderException`

### findPortlets

    @Deprecated
    SortablePagedResult<PortletEntry> findPortlets(int pageSize,
                                                              FindRequest criteria,
                                                              String registry,
                                                              javax.servlet.ServletContext sContext,
                                                              ResourceContext rContext)
                                                   throws FinderException

  Deprecated use {@link com.bea.jsptools.portal.helpers.wsrp.ProducerRegistryControl#findPortlets(int, FindRequest, String, ServletContext, ResourceContext)

  Gets a paged result of portlets matching a particular search string.

  Parameters
    `pageSize` - the number of results to return per page
    `criteria` - the criteria to use for the search.
    `registry` - The name of the registry configuration to search in.
    `sContext` - the servlet context.
    `rContext` - the resource context
  Returns
    a paged result matching the specified criteria.
  Throws
    `FinderException`

### findPages

    @Deprecated
    SortablePagedResult<PageEntry> findPages(int pageSize,
                                                        FindRequest criteria,
                                                        String registry,
                                                        javax.servlet.ServletContext sContext,
                                                        ResourceContext rContext)
                                             throws FinderException

  Deprecated use {@link com.bea.jsptools.portal.helpers.wsrp.ProducerRegistryControl#findPages(int, FindRequest, String, ServletContext, ResourceContext)

  Gets a paged result of pages matching a particular search string.

  Parameters
    `pageSize` - the number of results to return per page
    `criteria` - the criteria to use for the search.
    `registry` - The name of the registry configuration to search in.
    `sContext` - the servlet context.
    `rContext` - the resource context
  Returns
    a paged result matching the specified criteria.
  Throws
    `FinderException`

### findBooks

    @Deprecated
    SortablePagedResult<BookEntry> findBooks(int pageSize,
                                                        FindRequest criteria,
                                                        String registry,
                                                        javax.servlet.ServletContext sContext,
                                                        ResourceContext rContext)
                                             throws FinderException

  Deprecated use {@link com.bea.jsptools.portal.helpers.wsrp.ProducerRegistryControl#findBooks(int, FindRequest, String, ServletContext, ResourceContext)

  Gets a paged result of books matching a particular search string.

  Parameters
    `pageSize` - the number of results to return per page
    `criteria` - the criteria to use for the search.
    `registry` - The name of the registry configuration to search in.
    `sContext` - the servlet context.
    `rContext` - the resource context
  Returns
    a paged result matching the specified criteria.
  Throws
    `FinderException`

### getServiceDescription

    @Deprecated
    IServiceDescription getServiceDescription(String wsdlUrl,
                                                         javax.servlet.http.HttpServletResponse response,
                                                         javax.servlet.ServletContext sContext,
                                                         ResourceContext rContext)
                                              throws ProducerManagerException

  Deprecated use {@link com.bea.jsptools.portal.helpers.wsrp.ProducerRegistryControl#getServiceDescription(String, HttpServletResponse, ServletContext, ResourceContext)

  Gets a service description for a producer given a WSDL URL.

  Parameters
    `wsdlUrl` - the WSDL URL of the producer
    `response` - the HttpServletResponse
    `sContext` - the servlet context
    `rContext` - the resource context
  Returns
    the service description for the specified WSDL URL.
  Throws
    `ProducerManagerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.